我在Ecplise中运行pydev(Python 2.7)。 Numpy和tkinter工作正常,但我安装了matplotlib,出于某种原因,当我尝试时

来自matplotlib import *

我得到了没有找到的回复。 我将带有模块的文件夹添加到PythonPath,但不断获得相同的消息。 我究竟做错了什么?

===============>>#1 票数:6 已采纳

来自pydev教程 (根据我的经验,与您的问题相关的两个最常见的案例):

1)

最常见的错误是在从生成Eclipse的shell中使用的环境变量中出现问题,在某种程度上,当获取一个解释器的变量时,它从另一个解释器收集信息(从而混合了解释器和实际库)。

2)

如果你在python安装中添加了一些东西,你需要手动将其添加为系统PYTHONPATH中的“新文件夹”(如果它仍然不在PYTHONPATH中的文件夹下)或(推荐) 删除你的解释器并再次添加 ,然后,按申请。

  ask by sigma.z.1980 translate from so

未解决问题?本站智能推荐:

3回复

无法在PyDev中导入matplotlib

我正在使用Ubuntu 10.04,并且已成功配置PyDev与Python一起使用,并编写了一些简单的示例项目。 现在,我尝试合并numpy和matplotlib。 我已经安装了numpy,并且在PyDev中不需要更改任何路径等,安装numpy之后,我可以自动导入numpy,而没有任何问题。
4回复

通过eclipse进行交互式matplotlib

是否可以通过pydev进行交互式会话以使用matplotlib? 问题是当解释器在show()命令后停止时,我无法通过外壳访问来驱动图表。 我想通过pydev进行互动会议。 matplotlib手册在此处对交互式会话进行了很好的描述: http : //matplotlib.sourc
4回复

通过Eclipse PyDev进行交互式matplotlib

这是这个交互式matplolib通过eclipse线程的一个跟进,大约2岁,我想知道在此期间是否有任何进展。 我在Eclipse PyDev的控制台窗口中运行IPython控制台,但我无法使用matplotlib获得相同的交互式绘图功能,就像我在 Eclipse PyDev 外的(Wind
2回复

无法在Eclipse下使用matplotlib显示图

我在Eclipse下使用matplotlib遇到了一个奇怪的问题,我已经测试了这段代码,并且在命令行中可以正常工作: 但是当我在Eclipse下执行此代码时,没有显示任何内容。 我看到pydev理解了我所有的导入,并且没有错误消息。
1回复

无法从Python中的Matplotlib导入FigureCanvasWxAgg

我正在使用Python x64安装了所有东西,但是我在FigCanvasWxAgg上得到了一个未解析的导入。 我可以到达matplotlib.backends.backend_wxagg,但是没有从那里导入的FigureCanvasWxAgg。 我也试过from matplotlib.b
4回复

从Eclipse运行时,关闭matplotlib中现有的图形

我的问题很简单:我有一个使用matplotlib生成图形的python脚本。 每次我运行它都会生成带有数字的新窗口。 如何让脚本关闭上次运行时打开的窗口? matlab中的类似命令是将“全部关闭”放在您的matlab脚本的开头。 我看到了一些建议来做类似的事情 如果您从p
1回复

无法在Python中导入库-Ubuntu 12.04

我已经尝试了3天,现在运气不错,我真的很绝望。 我已经安装了NumPy以及matplotlib 。 我正在尝试将matplotlib包含到我的应用程序中,但是它不起作用。 我正在使用带有PyDev插件的Eclipse,但是每次尝试导入它时,都会收到一个错误,即使我已将其添加到每次需要导
2回复

Python 2.7和PyDev - matplotlib和NumPy无法正常工作

我试图让matplotlib在Windows 7(64位)下使用Python 2.7和Eclipse与PyDev插件一起工作。 我从http://www.lfd.uci.edu/~gohlke/pythonlibs/安装了NumPy。 问题是当我在Eclipse中编写以下代码时:
1回复

Pydev找不到matplotlib模块

我刚刚使用win32安装程序在我的Windows 7 Python 2.6.5机器上安装了matplotlib。 我已经尝试了matplotlib站点的一些例子来测试安装,在Idle everthing工作正常,但Pydev 1.9(Eclipse 3.6)无法找到任何子模块。 例如,
2回复

在Eclipse中使用Python Imaging Library(PIL)

我正在尝试在Eclipse中使用PIL。 我已经成功安装了以下软件包,以便此代码运行无错误: 但是,以下内容: 产生错误: 我试图从Eclipse Marketplace安装基本的Image Viewer。 它不能解决问题。 有人知道如何让Eclipse显示图像